package com.kospo.talk.service;

import com.kospo.talk.model.AutoReply;
import com.kospo.talk.payload.AutoReplyDto;

import java.util.List;

public interface AutoReplyService {
    List<AutoReply> findByTalkId(String talkId);

    List<AutoReplyDto> findByWorkIdAndType(String workId, String type);

    List<AutoReplyDto> findBySabun(String sabun);

    void save(AutoReplyDto autoReplyDto);

    void update(AutoReplyDto autoReplyDto, String sabun);

    void delete(AutoReplyDto autoReplyDto, String sabun);
}
